package java.awt.dnd.peer;

import java.awt.dnd.InvalidDnDOperationException;
import java.awt.datatransfer.Transferable;
import java.awt.datatransfer.DataFlavor;
import java.awt.dnd.DropTarget;

public interface DropTargetContextPeer
{
    public abstract void setTargetActions(int p0);
    
    public abstract int getTargetActions();
    
    public abstract DropTarget getDropTarget();
    
    public abstract DataFlavor[] getTransferDataFlavors();
    
    public abstract Transferable getTransferable() throws InvalidDnDOperationException;
    
    public abstract boolean isTransferableJVMLocal();
    
    public abstract void acceptDrag(int p0);
    
    public abstract void rejectDrag();
    
    public abstract void acceptDrop(int p0);
    
    public abstract void rejectDrop();
    
    public abstract void dropComplete(boolean p0);
}
